Lorene::Param Class Reference
Utilities.

Parameter storage. More...

`#include <param.h>`

## Public Member Functions

| Param ()
| Default constructor is the only constructor.
| ~Param ()
| Destructor.
void | clean_all ()
| Deletes all the objects stored as modifiables, i.e.
int | get_n_int () const
| Returns the number of stored `int` 's addresses.
void | add_int (const int &n, int position=0)
| Adds the address of a new `int` to the list.
const int & | get_int (int position=0) const
| Returns the reference of a `int` stored in the list.
int | get_n_int_mod () const
| Returns the number of modifiable `int` 's addresses in the list.
void | add_int_mod (int &n, int position=0)
| Adds the address of a new modifiable `int` to the list.
int & | get_int_mod (int position=0) const
| Returns the reference of a modifiable `int` stored in the list.
int | get_n_double () const
| Returns the number of stored `double` 's addresses.
void | add_double (const double &x, int position=0)
| Adds the the address of a new `double` to the list.
const double & | get_double (int position=0) const
| Returns the reference of a `double` stored in the list.
int | get_n_double_mod () const
| Returns the number of stored modifiable `double` 's addresses.
void | add_double_mod (double &x, int position=0)
| Adds the address of a new modifiable `double` to the list.
double & | get_double_mod (int position=0) const
| Returns the reference of a stored modifiable `double` .
int | get_n_tbl () const
| Returns the number of `Tbl` 's addresses in the list.
void | add_tbl (const Tbl &ti, int position=0)
| Adds the address of a new `Tbl` to the list.
const Tbl & | get_tbl (int position=0) const
| Returns the reference of a `Tbl` stored in the list.
int | get_n_tbl_mod () const
| Returns the number of modifiable `Tbl` 's addresses in the list.
void | add_tbl_mod (Tbl &ti, int position=0)
| Adds the address of a new modifiable `Tbl` to the list.
Tbl & | get_tbl_mod (int position=0) const
| Returns the reference of a modifiable `Tbl` stored in the list.
int | get_n_itbl () const
| Returns the number of `Itbl` 's addresses in the list.
void | add_itbl (const Itbl &ti, int position=0)
| Adds the address of a new `Itbl` to the list.
const Itbl & | get_itbl (int position=0) const
| Returns the reference of a `Itbl` stored in the list.
int | get_n_itbl_mod () const
| Returns the number of modifiable `Itbl` 's addresses in the list.
void | add_itbl_mod (Itbl &ti, int position=0)
| Adds the address of a new modifiable `Itbl` to the list.
Itbl & | get_itbl_mod (int position=0) const
| Returns the reference of a stored modifiable `Itbl` .
int | get_n_matrice () const
| Returns the number of `Matrice` 's addresses in the list.
void | add_matrice (const Matrice &ti, int position=0)
| Adds the address of a new `Matrice` to the list.
const Matrice & | get_matrice (int position=0) const
| Returns the reference of a `Matrice` stored in the list.
int | get_n_matrice_mod () const
| Returns the number of modifiable `Matrice` 's addresses in the list.
void | add_matrice_mod (Matrice &ti, int position=0)
| Adds the address of a new modifiable `Matrice` to the list.
Matrice & | get_matrice_mod (int position=0) const
| Returns the reference of a modifiable `Matrice` stored in the list.
int | get_n_cmp () const
| Returns the number of `Cmp` 's addresses in the list.
void | add_cmp (const Cmp &ti, int position=0)
| Adds the address of a new `Cmp` to the list.
const Cmp & | get_cmp (int position=0) const
| Returns the reference of a `Cmp` stored in the list.
int | get_n_cmp_mod () const
| Returns the number of modifiable `Cmp` 's addresses in the list.
void | add_cmp_mod (Cmp &ti, int position=0)
| Adds the address of a new modifiable `Cmp` to the list.
Cmp & | get_cmp_mod (int position=0) const
| Returns the reference of a modifiable `Cmp` stored in the list.
int | get_n_tenseur () const
| Returns the number of `Tenseur` 's addresses in the list.
void | add_tenseur (const Tenseur &ti, int position=0)
| Adds the address of a new `Tenseur` to the list.
const Tenseur & | get_tenseur (int position=0) const
| Returns the reference of a `Tenseur` stored in the list.
int | get_n_tenseur_mod () const
| Returns the number of modifiable `Tenseur` 's addresses in the list.
void | add_tenseur_mod (Tenseur &ti, int position=0)
| Adds the address of a new modifiable `Tenseur` to the list.
Tenseur & | get_tenseur_mod (int position=0) const
| Returns the reference of a modifiable `Tenseur` stored in the list.
int | get_n_map () const
| Returns the number of `Map` 's addresses in the list.
void | add_map (const Map &mi, int position=0)
| Adds the address of a new `Map` to the list.
const Map & | get_map (int position=0) const
| Returns the reference of a `Map` stored in the list.
int | get_n_mtbl_cf () const
| Returns the number of `Mtbl_cf` 's addresses in the list.
void | add_mtbl_cf (const Mtbl_cf &mi, int position=0)
| Adds the address of a new `Mtbl_cf` to the list.
const Mtbl_cf & | get_mtbl_cf (int position=0) const
| Returns the reference of a `Mtbl_cf` stored in the list.
int | get_n_scalar () const
| Returns the number of `Scalar` 's addresses in the list.
void | add_scalar (const Scalar &ti, int position=0)
| Adds the address of a new `Scalar` to the list.
const Scalar & | get_scalar (int position=0) const
| Returns the reference of a `Scalar` stored in the list.
int | get_n_scalar_mod () const
| Returns the number of modifiable `Scalar` 's addresses in the list.
void | add_scalar_mod (Scalar &ti, int position=0)
| Adds the address of a new modifiable `Scalar` to the list.
Scalar & | get_scalar_mod (int position=0) const
| Returns the reference of a modifiable `Scalar` stored in the list.
int | get_n_tensor () const
| Returns the number of `Tensor` 's addresses in the list.
void | add_tensor (const Tensor &ti, int position=0)
| Adds the address of a new `Tensor` to the list.
const Tensor & | get_tensor (int position=0) const
| Returns the reference of a `Tensor` stored in the list.
int | get_n_tensor_mod () const
| Returns the number of modifiable `Tensor` 's addresses in the list.
void | add_tensor_mod (Tensor &ti, int position=0)
| Adds the address of a new modifiable `Tensor` to the list.
Tensor & | get_tensor_mod (int position=0) const
| Returns the reference of a modifiable `Tensor` stored in the list.
int | get_n_etoile () const
| Returns the number of `Etoile` 's addresses in the list.
void | add_etoile (const Etoile &eti, int position=0)
| Adds the address of a new `Etoile` to the list.
const Etoile & | get_etoile (int position=0) const
| Returns the reference of a `Etoile` stored in the list.
int | get_n_star () const
| Returns the number of `Star` 's addresses in the list.
void | add_star (const Star &eti, int position=0)
| Adds the address of a new `Star` to the list.
const Star & | get_star (int position=0) const
| Returns the reference of a `Star` stored in the list.

## Private Member Functions

| Param (const Param &)
| Copy constructor (private and not implemented to make `Param` a non-copyable class).
void | operator= (const Param &)
| Assignment operator (private and not implemented to make `Param` a non-copyable class).

## Private Attributes

int | n_int
| Number of `int` 's (integers).
const int ** | p_int
| Array (size `n_int` ) of the `int` 's addresses.
int | n_int_mod
| Number of modifiable `int` 's (integers).
int ** | p_int_mod
| Array (size `n_int_mod` ) of the modifiable `int` 's addresses.
int | n_double
| Number of `double` 's (double precis.
const double ** | p_double
| Array (size `n_double` ) of the `double` 's addresses.
int | n_double_mod
| Number of modifiable `double` 's (double precis.
double ** | p_double_mod
| Array (size `n_double_mod` ) of the `double` 's addresses.
int | n_tbl
| Number of `Tbl` 's.
const Tbl ** | p_tbl
| Array (size `n_tbl` ) of the `Tbl` 's addresses.
int | n_tbl_mod
| Number of modifiable `Tbl` 's.
Tbl ** | p_tbl_mod
| Array (size `n_tbl_mod` ) of the modifiable `Tbl` 's addresses.
int | n_itbl
| Number of `Itbl` 's.
const Itbl ** | p_itbl
| Array (size `n_itbl` ) of the `Itbl` 's addresses.
int | n_itbl_mod
| Number of modifiable `Itbl` 's.
Itbl ** | p_itbl_mod
| Array (size `n_itbl_mod` ) of the modifiable `Itbl` 's addresses.
int | n_matrice
| Number of `Matrice` 's.
const Matrice ** | p_matrice
| Array (size `n_matrice` ) of the `Matrice` 's addresses.
int | n_matrice_mod
| Number of modifiable `Matrice` 's.
Matrice ** | p_matrice_mod
| Array (size `n_matrice_mod` ) of the modifiable `Matrice` 's addresses.
int | n_cmp
| Number of `Cmp` 's.
const Cmp ** | p_cmp
| Array (size `n_cmp` ) of the `Cmp` 's addresses.
int | n_cmp_mod
| Number of modifiable `Cmp` 's.
Cmp ** | p_cmp_mod
| Array (size `n_cmp_mod` ) of the modifiable `Cmp` 's addresses.
int | n_tenseur
| Number of `Tenseur` 's.
const Tenseur ** | p_tenseur
| Array (size `n_tenseur` ) of the `Tenseur` 's addresses.
int | n_tenseur_mod
| Number of modifiable `Tenseur` 's.
Tenseur ** | p_tenseur_mod
| Array (size `n_tenseur_mod` ) of the modifiable `Tenseur` 's addresses.
int | n_map
| Number of `Map` 's.
const Map ** | p_map
| Array (size `n_map` ) of the `Map` 's addresses.
int | n_mtbl_cf
| Number of `Mtbl_cf` 's.
const Mtbl_cf ** | p_mtbl_cf
| Array (size `n_mtbl_cf` ) of the `Mtbl_cf` 's addresses.
int | n_scalar
| Number of `Scalar` 's.
const Scalar ** | p_scalar
| Array (size `n_scalar` ) of the `Scalar` 's addresses.
int | n_scalar_mod
| Number of modifiable `Scalar` 's.
Scalar ** | p_scalar_mod
| Array (size `n_scalar_mod` ) of the modifiable `Scalar` 's addresses.
int | n_tensor
| Number of `Tensor` 's.
const Tensor ** | p_tensor
| Array (size `n_tensor` ) of the `Tensor` 's addresses.
int | n_tensor_mod
| Number of modifiable `Tensor` 's.
Tensor ** | p_tensor_mod
| Array (size `n_tensor_mod` ) of the modifiable `Tensor` 's addresses.
int | n_etoile
| Number of `Etoile` 's.
const Etoile ** | p_etoile
| Array (size `n_etoile` ) of the `Etoile` 's addresses.
int | n_star
| Number of `Star` 's.
const Star ** | p_star
| Array (size `n_star` ) of the `Star` 's addresses.

## Detailed Description

Parameter storage.

This class is intended to store addresses of various Lorene objects to pass them as parameters in some subroutines. ()

Definition at line 125 of file param.h.

## Constructor & Destructor Documentation

## Param() [1/2]

Lorene::Param::Param | ( |  | ) |

Default constructor is the only constructor.

Definition at line 115 of file param.C.

References n_cmp, n_cmp_mod, n_double, n_double_mod, n_etoile, n_int, n_int_mod, n_itbl, n_itbl_mod, n_map, n_matrice, n_matrice_mod, n_mtbl_cf, n_scalar, n_scalar_mod, n_star, n_tbl, n_tbl_mod, n_tenseur, n_tenseur_mod, n_tensor, and n_tensor_mod.

## Param() [2/2]

Lorene::Param::Param | ( | const Param & |  | ) |

private

Copy constructor (private and not implemented to make `Param` a non-copyable class).

References Param().

## ~Param()

Lorene::Param::~Param | ( |  | ) |

Destructor.

Definition at line 144 of file param.C.

References n_cmp, n_cmp_mod, n_double, n_double_mod, n_etoile, n_int, n_int_mod, n_itbl, n_itbl_mod, n_map, n_matrice, n_matrice_mod, n_mtbl_cf, n_scalar, n_scalar_mod, n_star, n_tbl, n_tbl_mod, n_tenseur, n_tenseur_mod, n_tensor, n_tensor_mod, p_cmp, p_cmp_mod, p_double, p_double_mod, p_etoile, p_int, p_int_mod, p_itbl, p_itbl_mod, p_map, p_matrice, p_matrice_mod, p_mtbl_cf, p_scalar, p_scalar_mod, p_star, p_tbl, p_tbl_mod, p_tenseur, p_tenseur_mod, p_tensor, and p_tensor_mod.

## Member Function Documentation

## add_cmp()

void Lorene::Param::add_cmp | ( | const Cmp & | ti,
|  | int | position = 0 )

Adds the address of a new `Cmp` to the list.

Parameters

  ti | [input] `Cmp` the address of which is to be stored
  position | [input] position of the `Cmp` in the list of stored `Cmp` addresses (default value = 0)

Definition at line 935 of file param.C.

References n_cmp, and p_cmp.

## add_cmp_mod()

void Lorene::Param::add_cmp_mod | ( | Cmp & | ti,
|  | int | position = 0 )

Adds the address of a new modifiable `Cmp` to the list.

Parameters

  ti | [input] modifiable `Cmp` the address of which is to be stored
  position | [input] position of the `Cmp` in the list of stored modifiable `Cmp` addresses (default value = 0)

Definition at line 1004 of file param.C.

References n_cmp_mod, and p_cmp_mod.

## add_double()

void Lorene::Param::add_double | ( | const double & | x,
|  | int | position = 0 )

Adds the the address of a new `double` to the list.

Parameters

  x | [input] `double` the address of which is to be stored
  position | [input] position of the `double` in the list of stored `double` addresses (default value = 0)

Definition at line 315 of file param.C.

References n_double, and p_double.

## add_double_mod()

void Lorene::Param::add_double_mod | ( | double & | x,
|  | int | position = 0 )

Adds the address of a new modifiable `double` to the list.

Parameters

  x | [input] modifiable `double` the address of which is to be stored
  position | [input] position of the modifiable `double` in the list of stored modifiable `double` addresses (default value = 0)

Definition at line 453 of file param.C.

References n_double_mod, and p_double_mod.

## add_etoile()

void Lorene::Param::add_etoile | ( | const Etoile & | eti,
|  | int | position = 0 )

Adds the address of a new `Etoile` to the list.

Parameters

  mi | [input] `Etoile` the address of which is to be stored
  position | [input] position of the `Etoile` in the list of stored `Etoile` addresses (default value = 0)

Definition at line 1624 of file param.C.

References n_etoile, and p_etoile.

## add_int()

void Lorene::Param::add_int | ( | const int & | n,
|  | int | position = 0 )

Adds the address of a new `int` to the list.

Parameters

  n | [input] `int` the address of which is to be stored
  position | [input] position of the `int` in the list of stored `int` addresses (default value = 0)

Definition at line 246 of file param.C.

References n_int, and p_int.

## add_int_mod()

void Lorene::Param::add_int_mod | ( | int & | n,
|  | int | position = 0 )

Adds the address of a new modifiable `int` to the list.

Parameters

  n | [input] modifiable `int` the address of which is to be stored
  position | [input] position of the modifiable `int` in the list of stored modifiable `int` addresses (default value = 0)

Definition at line 385 of file param.C.

References n_int_mod, and p_int_mod.

## add_itbl()

void Lorene::Param::add_itbl | ( | const Itbl & | ti,
|  | int | position = 0 )

Adds the address of a new `Itbl` to the list.

Parameters

  ti | [input] `Itbl` the address of which is to be stored
  position | [input] position of the `Itbl` in the list of stored `Itbl` addresses (default value = 0)

Definition at line 660 of file param.C.

References n_itbl, and p_itbl.

## add_itbl_mod()

void Lorene::Param::add_itbl_mod | ( | Itbl & | ti,
|  | int | position = 0 )

Adds the address of a new modifiable `Itbl` to the list.

Parameters

  ti | [input] modifiable `Itbl` the address of which is to be stored
  position | [input] position of the `Itbl` in the list of stored modifiable `Itbl` addresses (default value = 0)

Definition at line 729 of file param.C.

References n_itbl_mod, and p_itbl_mod.

## add_map()

void Lorene::Param::add_map | ( | const Map & | mi,
|  | int | position = 0 )

Adds the address of a new `Map` to the list.

Parameters

  mi | [input] `Map` the address of which is to be stored
  position | [input] position of the `Map` in the list of stored `Map` addresses (default value = 0)

Definition at line 1211 of file param.C.

References Lorene::Map(), n_map, and p_map.

## add_matrice()

void Lorene::Param::add_matrice | ( | const Matrice & | ti,
|  | int | position = 0 )

Adds the address of a new `Matrice` to the list.

Parameters

  ti | [input] `Matrice` the address of which is to be stored
  position | [input] position of the `Matrice` in the list of stored `Matrice` addresses (default value = 0)

Definition at line 797 of file param.C.

References n_matrice, and p_matrice.

## add_matrice_mod()

void Lorene::Param::add_matrice_mod | ( | Matrice & | ti,
|  | int | position = 0 )

Adds the address of a new modifiable `Matrice` to the list.

Parameters

  ti | [input] modifiable `Matrice` the address of which is to be stored
  position | [input] position of the `Matrice` in the list of stored modifiable `Matrice` addresses (default value = 0)

Definition at line 866 of file param.C.

References n_matrice_mod, and p_matrice_mod.

## add_mtbl_cf()

void Lorene::Param::add_mtbl_cf | ( | const Mtbl_cf & | mi,
|  | int | position = 0 )

Adds the address of a new `Mtbl_cf` to the list.

Parameters

  mi | [input] `Mtbl_cf` the address of which is to be stored
  position | [input] position of the `Mtbl_cf` in the list of stored `Mtbl_cf` addresses (default value = 0)

Definition at line 1279 of file param.C.

References n_mtbl_cf, and p_mtbl_cf.

## add_scalar()

void Lorene::Param::add_scalar | ( | const Scalar & | ti,
|  | int | position = 0 )

Adds the address of a new `Scalar` to the list.

Parameters

  ti | [input] `Scalar` the address of which is to be stored
  position | [input] position of the `Scalar` in the list of stored `Scalar` addresses (default value = 0)

Definition at line 1348 of file param.C.

References n_scalar, and p_scalar.

## add_scalar_mod()

void Lorene::Param::add_scalar_mod | ( | Scalar & | ti,
|  | int | position = 0 )

Adds the address of a new modifiable `Scalar` to the list.

Parameters

  ti | [input] modifiable `Scalar` the address of which is to be stored
  position | [input] position of the `Scalar` in the list of stored modifiable `Scalar` addresses (default value = 0)

Definition at line 1417 of file param.C.

References n_scalar_mod, and p_scalar_mod.

## add_star()

void Lorene::Param::add_star | ( | const Star & | eti,
|  | int | position = 0 )

Adds the address of a new `Star` to the list.

Parameters

  mi | [input] `Star` the address of which is to be stored
  position | [input] position of the `Star` in the list of stored `Etoile` addresses (default value = 0)

Definition at line 1690 of file param.C.

References n_star, and p_star.

## add_tbl()

void Lorene::Param::add_tbl | ( | const Tbl & | ti,
|  | int | position = 0 )

Adds the address of a new `Tbl` to the list.

Parameters

  ti | [input] `Tbl` the address of which is to be stored
  position | [input] position of the `Tbl` in the list of stored `Tbl` addresses (default value = 0)

Definition at line 522 of file param.C.

References n_tbl, and p_tbl.

## add_tbl_mod()

void Lorene::Param::add_tbl_mod | ( | Tbl & | ti,
|  | int | position = 0 )

Adds the address of a new modifiable `Tbl` to the list.

Parameters

  ti | [input] modifiable `Tbl` the address of which is to be stored
  position | [input] position of the `Tbl` in the list of stored modifiable `Tbl` addresses (default value = 0)

Definition at line 591 of file param.C.

References n_tbl_mod, and p_tbl_mod.

## add_tenseur()

void Lorene::Param::add_tenseur | ( | const Tenseur & | ti,
|  | int | position = 0 )

Adds the address of a new `Tenseur` to the list.

Parameters

  ti | [input] `Tenseur` the address of which is to be stored
  position | [input] position of the `Tenseur` in the list of stored `Tenseur` addresses (default value = 0)

Definition at line 1073 of file param.C.

References n_tenseur, and p_tenseur.

## add_tenseur_mod()

void Lorene::Param::add_tenseur_mod | ( | Tenseur & | ti,
|  | int | position = 0 )

Adds the address of a new modifiable `Tenseur` to the list.

Parameters

  ti | [input] modifiable `Tenseur` the address of which is to be stored
  position | [input] position of the `Tenseur` in the list of stored modifiable `Tenseur` addresses (default value = 0)

Definition at line 1142 of file param.C.

References n_tenseur_mod, and p_tenseur_mod.

## add_tensor()

void Lorene::Param::add_tensor | ( | const Tensor & | ti,
|  | int | position = 0 )

Adds the address of a new `Tensor` to the list.

Parameters

  ti | [input] `Tensor` the address of which is to be stored
  position | [input] position of the `Tensor` in the list of stored `Tensor` addresses (default value = 0)

Definition at line 1486 of file param.C.

References n_tensor, and p_tensor.

## add_tensor_mod()

void Lorene::Param::add_tensor_mod | ( | Tensor & | ti,
|  | int | position = 0 )

Adds the address of a new modifiable `Tensor` to the list.

Parameters

  ti | [input] modifiable `Tensor` the address of which is to be stored
  position | [input] position of the `Tensor` in the list of stored modifiable `Tensor` addresses (default value = 0)

Definition at line 1555 of file param.C.

References n_tensor_mod, and p_tensor_mod.

## clean_all()

void Lorene::Param::clean_all | ( |  | ) |

Deletes all the objects stored as modifiables, i.e.

all quantities with the suffix `mod` .

Definition at line 174 of file param.C.

References n_cmp_mod, n_double_mod, n_int_mod, n_itbl_mod, n_matrice_mod, n_scalar_mod, n_tbl_mod, n_tenseur_mod, n_tensor_mod, p_cmp_mod, p_double_mod, p_int_mod, p_itbl_mod, p_matrice_mod, p_scalar_mod, p_tbl_mod, p_tenseur_mod, and p_tensor_mod.

## get_cmp()

const Cmp & Lorene::Param::get_cmp | ( | int | position = 0 | ) | const

Returns the reference of a `Cmp` stored in the list.

Parameters

  position | [input] position of the `Cmp` in the list of stored `Cmp` addresses (default value = 0)

Returns
  Reference to the `Cmp` the address of which is stored at the location `position` in the list

Definition at line 980 of file param.C.

References n_cmp, and p_cmp.

## get_cmp_mod()

Cmp & Lorene::Param::get_cmp_mod | ( | int | position = 0 | ) | const

Returns the reference of a modifiable `Cmp` stored in the list.

Parameters

  position | [input] position of the `Cmp` in the list of stored modifiable `Cmp` addresses (default value = 0)

Returns
  Reference to the modifiable `Cmp` the address of which is stored at the location `position` in the list

Definition at line 1049 of file param.C.

References n_cmp_mod, and p_cmp_mod.

## get_double()

const double & Lorene::Param::get_double | ( | int | position = 0 | ) | const

Returns the reference of a `double` stored in the list.

Parameters

  position | [input] position of the `double` in the list of stored `double` addresses (default value = 0)

Returns
  Reference to the `double` the address of which is stored at the location `position` in the list

Definition at line 361 of file param.C.

References n_double, and p_double.

## get_double_mod()

double & Lorene::Param::get_double_mod | ( | int | position = 0 | ) | const

Returns the reference of a stored modifiable `double` .

Parameters

  position | [input] position of the modifiable `double` in the list of stored modifiable `double` addresses (default value = 0)

Returns
  Reference to the modifiable `double` the address of which is stored at the location `position` in the list

Definition at line 498 of file param.C.

References n_double_mod, and p_double_mod.

## get_etoile()

const Etoile & Lorene::Param::get_etoile | ( | int | position = 0 | ) | const

Returns the reference of a `Etoile` stored in the list.

Parameters

  position | [input] position of the `Etoile` in the list of stored `Etoile` addresses (default value = 0)

Returns
  Reference to the `Etoile` the address of which is stored at the location `position` in the list

Definition at line 1669 of file param.C.

References n_etoile, and p_etoile.

## get_int()

const int & Lorene::Param::get_int | ( | int | position = 0 | ) | const

Returns the reference of a `int` stored in the list.

Parameters

  position | [input] position of the `int` in the list of stored `int` addresses (default value = 0)

Returns
  Reference to the `int` the address of which is stored at the location `position` in the list

Definition at line 292 of file param.C.

References n_int, and p_int.

## get_int_mod()

int & Lorene::Param::get_int_mod | ( | int | position = 0 | ) | const

Returns the reference of a modifiable `int` stored in the list.

Parameters

  position | [input] position of the modifiable `int` in the list of stored modifiable `int` addresses (default value = 0)

Returns
  Reference to the modifiable `int` the address of which is stored at the location `position` in the list

Definition at line 430 of file param.C.

References n_int_mod, and p_int_mod.

## get_itbl()

const Itbl & Lorene::Param::get_itbl | ( | int | position = 0 | ) | const

Returns the reference of a `Itbl` stored in the list.

Parameters

  position | [input] position of the `Itbl` in the list of stored `Itbl` addresses (default value = 0)

Returns
  Reference to the `Itbl` the address of which is stored at the location `position` in the list

Definition at line 705 of file param.C.

References n_itbl, and p_itbl.

## get_itbl_mod()

Itbl & Lorene::Param::get_itbl_mod | ( | int | position = 0 | ) | const

Returns the reference of a stored modifiable `Itbl` .

Parameters

  position | [input] position of the `Itbl` in the list of stored modifiable `Itbl` addresses (default value = 0)

Returns
  Reference to the modifiable `Itbl` the address of which is stored at the location `position`
  in the list

Definition at line 774 of file param.C.

References n_itbl_mod, and p_itbl_mod.

## get_map()

const Map & Lorene::Param::get_map | ( | int | position = 0 | ) | const

Returns the reference of a `Map` stored in the list.

Parameters

  position | [input] position of the `Map` in the list of stored `Map` addresses (default value = 0)

Returns
  Reference to the `Map` the address of which is stored at the location `position` in the list

Definition at line 1256 of file param.C.

References Lorene::Map(), n_map, and p_map.

## get_matrice()

const Matrice & Lorene::Param::get_matrice | ( | int | position = 0 | ) | const

Returns the reference of a `Matrice` stored in the list.

Parameters

  position | [input] position of the `Matrice` in the list of stored `Matrice` addresses (default value = 0)

Returns
  Reference to the `Matrice` the address of which is stored at the location `position` in the list

Definition at line 842 of file param.C.

References n_matrice, and p_matrice.

## get_matrice_mod()

Matrice & Lorene::Param::get_matrice_mod | ( | int | position = 0 | ) | const

Returns the reference of a modifiable `Matrice` stored in the list.

Parameters

  position | [input] position of the `Matrice` in the list of stored modifiable `Matrice` addresses (default value = 0)

Returns
  Reference to the modifiable `Matrice` the address of which is stored at the location `position` in the list

Definition at line 911 of file param.C.

References n_matrice_mod, and p_matrice_mod.

## get_mtbl_cf()

const Mtbl_cf & Lorene::Param::get_mtbl_cf | ( | int | position = 0 | ) | const

Returns the reference of a `Mtbl_cf` stored in the list.

Parameters

  position | [input] position of the `Mtbl_cf` in the list of stored `Mtbl_cf` addresses (default value = 0)

Returns
  Reference to the `Mtbl_cf` the address of which is stored at the location `position` in the list

Definition at line 1325 of file param.C.

References n_mtbl_cf, and p_mtbl_cf.

## get_n_cmp()

int Lorene::Param::get_n_cmp | ( |  | ) | const

Returns the number of `Cmp` 's addresses in the list.

Definition at line 928 of file param.C.

References n_cmp.

## get_n_cmp_mod()

int Lorene::Param::get_n_cmp_mod | ( |  | ) | const

Returns the number of modifiable `Cmp` 's addresses in the list.

Definition at line 997 of file param.C.

References n_cmp_mod.

## get_n_double()

int Lorene::Param::get_n_double | ( |  | ) | const

Returns the number of stored `double` 's addresses.

Definition at line 308 of file param.C.

References n_double.

## get_n_double_mod()

int Lorene::Param::get_n_double_mod | ( |  | ) | const

Returns the number of stored modifiable `double` 's addresses.

Definition at line 446 of file param.C.

References n_double_mod.

## get_n_etoile()

int Lorene::Param::get_n_etoile | ( |  | ) | const

Returns the number of `Etoile` 's addresses in the list.

Definition at line 1617 of file param.C.

References n_etoile.

## get_n_int()

int Lorene::Param::get_n_int | ( |  | ) | const

Returns the number of stored `int` 's addresses.

Definition at line 239 of file param.C.

References n_int.

## get_n_int_mod()

int Lorene::Param::get_n_int_mod | ( |  | ) | const

Returns the number of modifiable `int` 's addresses in the list.

Definition at line 378 of file param.C.

References n_int_mod.

## get_n_itbl()

int Lorene::Param::get_n_itbl | ( |  | ) | const

Returns the number of `Itbl` 's addresses in the list.

Definition at line 653 of file param.C.

References n_itbl.

## get_n_itbl_mod()

int Lorene::Param::get_n_itbl_mod | ( |  | ) | const

Returns the number of modifiable `Itbl` 's addresses in the list.

Definition at line 722 of file param.C.

References n_itbl_mod.

## get_n_map()

int Lorene::Param::get_n_map | ( |  | ) | const

Returns the number of `Map` 's addresses in the list.

Definition at line 1204 of file param.C.

References n_map.

## get_n_matrice()

int Lorene::Param::get_n_matrice | ( |  | ) | const

Returns the number of `Matrice` 's addresses in the list.

Definition at line 790 of file param.C.

References n_matrice.

## get_n_matrice_mod()

int Lorene::Param::get_n_matrice_mod | ( |  | ) | const

Returns the number of modifiable `Matrice` 's addresses in the list.

Definition at line 859 of file param.C.

References n_matrice_mod.

## get_n_mtbl_cf()

int Lorene::Param::get_n_mtbl_cf | ( |  | ) | const

Returns the number of `Mtbl_cf` 's addresses in the list.

Definition at line 1272 of file param.C.

References n_mtbl_cf.

## get_n_scalar()

int Lorene::Param::get_n_scalar | ( |  | ) | const

Returns the number of `Scalar` 's addresses in the list.

Definition at line 1341 of file param.C.

References n_scalar.

## get_n_scalar_mod()

int Lorene::Param::get_n_scalar_mod | ( |  | ) | const

Returns the number of modifiable `Scalar` 's addresses in the list.

Definition at line 1410 of file param.C.

References n_scalar_mod.

## get_n_star()

int Lorene::Param::get_n_star | ( |  | ) | const

Returns the number of `Star` 's addresses in the list.

Definition at line 1683 of file param.C.

References n_star.

## get_n_tbl()

int Lorene::Param::get_n_tbl | ( |  | ) | const

Returns the number of `Tbl` 's addresses in the list.

Definition at line 515 of file param.C.

References n_tbl.

## get_n_tbl_mod()

int Lorene::Param::get_n_tbl_mod | ( |  | ) | const

Returns the number of modifiable `Tbl` 's addresses in the list.

Definition at line 584 of file param.C.

References n_tbl_mod.

## get_n_tenseur()

int Lorene::Param::get_n_tenseur | ( |  | ) | const

Returns the number of `Tenseur` 's addresses in the list.

Definition at line 1066 of file param.C.

References n_tenseur.

## get_n_tenseur_mod()

int Lorene::Param::get_n_tenseur_mod | ( |  | ) | const

Returns the number of modifiable `Tenseur` 's addresses in the list.

Definition at line 1135 of file param.C.

References n_tenseur_mod.

## get_n_tensor()

int Lorene::Param::get_n_tensor | ( |  | ) | const

Returns the number of `Tensor` 's addresses in the list.

Definition at line 1479 of file param.C.

References n_tensor.

## get_n_tensor_mod()

int Lorene::Param::get_n_tensor_mod | ( |  | ) | const

Returns the number of modifiable `Tensor` 's addresses in the list.

Definition at line 1548 of file param.C.

References n_tensor_mod.

## get_scalar()

const Scalar & Lorene::Param::get_scalar | ( | int | position = 0 | ) | const

Returns the reference of a `Scalar` stored in the list.

Parameters

  position | [input] position of the `Scalar` in the list of stored `Scalar` addresses (default value = 0)

Returns
  Reference to the `Scalar` the address of which is stored at the location `position` in the list

Definition at line 1393 of file param.C.

References n_scalar, and p_scalar.

## get_scalar_mod()

Scalar & Lorene::Param::get_scalar_mod | ( | int | position = 0 | ) | const

Returns the reference of a modifiable `Scalar` stored in the list.

Parameters

  position | [input] position of the `Scalar` in the list of stored modifiable `Scalar` addresses (default value = 0)

Returns
  Reference to the modifiable `Scalar` the address of which is stored at the location `position` in the list

Definition at line 1462 of file param.C.

References n_scalar_mod, and p_scalar_mod.

## get_star()

const Star & Lorene::Param::get_star | ( | int | position = 0 | ) | const

Returns the reference of a `Star` stored in the list.

Parameters

  position | [input] position of the `Star` in the list of stored `Star` addresses (default value = 0)

Returns
  Reference to the `Star` the address of which is stored at the location `position` in the list

Definition at line 1735 of file param.C.

References n_star, and p_star.

## get_tbl()

const Tbl & Lorene::Param::get_tbl | ( | int | position = 0 | ) | const

Returns the reference of a `Tbl` stored in the list.

Parameters

  position | [input] position of the `Tbl` in the list of stored `Tbl` addresses (default value = 0)

Returns
  Reference to the `Tbl` the address of which is stored at the location `position` in the list

Definition at line 567 of file param.C.

References n_tbl, and p_tbl.

## get_tbl_mod()

Tbl & Lorene::Param::get_tbl_mod | ( | int | position = 0 | ) | const

Returns the reference of a modifiable `Tbl` stored in the list.

Parameters

  position | [input] position of the `Tbl` in the list of stored modifiable `Tbl` addresses (default value = 0)

Returns
  Reference to the modifiable `Tbl` the address of which is stored at the location `position` in the list

Definition at line 636 of file param.C.

References n_tbl_mod, and p_tbl_mod.

## get_tenseur()

const Tenseur & Lorene::Param::get_tenseur | ( | int | position = 0 | ) | const

Returns the reference of a `Tenseur` stored in the list.

Parameters

  position | [input] position of the `Tenseur` in the list of stored `Tenseur` addresses (default value = 0)

Returns
  Reference to the `Tenseur` the address of which is stored at the location `position` in the list

Definition at line 1118 of file param.C.

References n_tenseur, and p_tenseur.

## get_tenseur_mod()

Tenseur & Lorene::Param::get_tenseur_mod | ( | int | position = 0 | ) | const

Returns the reference of a modifiable `Tenseur` stored in the list.

Parameters

  position | [input] position of the `Tenseur` in the list of stored modifiable `Tenseur` addresses (default value = 0)

Returns
  Reference to the modifiable `Tenseur` the address of which is stored at the location `position` in the list

Definition at line 1187 of file param.C.

References n_tenseur_mod, and p_tenseur_mod.

## get_tensor()

const Tensor & Lorene::Param::get_tensor | ( | int | position = 0 | ) | const

Returns the reference of a `Tensor` stored in the list.

Parameters

  position | [input] position of the `Tensor` in the list of stored `Tensor` addresses (default value = 0)

Returns
  Reference to the `Tensor` the address of which is stored at the location `position` in the list

Definition at line 1531 of file param.C.

References n_tensor, and p_tensor.

## get_tensor_mod()

Tensor & Lorene::Param::get_tensor_mod | ( | int | position = 0 | ) | const

Returns the reference of a modifiable `Tensor` stored in the list.

Parameters

  position | [input] position of the `Tensor` in the list of stored modifiable `Tensor` addresses (default value = 0)

Returns
  Reference to the modifiable `Tensor` the address of which is stored at the location `position` in the list

Definition at line 1600 of file param.C.

References n_tensor_mod, and p_tensor_mod.

## operator=()

void Lorene::Param::operator= | ( | const Param & |  | ) |

private

Assignment operator (private and not implemented to make `Param` a non-copyable class).

References Lorene::Map(), Param(), and Lorene::x.

## Member Data Documentation

## n_cmp

int Lorene::Param::n_cmp

private

Number of `Cmp` 's.

Definition at line 171 of file param.h.

## n_cmp_mod

int Lorene::Param::n_cmp_mod

private

Number of modifiable `Cmp` 's.

Definition at line 175 of file param.h.

## n_double

int Lorene::Param::n_double

private

Number of `double` 's (double precis.

numbers).

Definition at line 138 of file param.h.

## n_double_mod

int Lorene::Param::n_double_mod

private

Number of modifiable `double` 's (double precis.

numbers).

Definition at line 142 of file param.h.

## n_etoile

int Lorene::Param::n_etoile

private

Number of `Etoile` 's.

Definition at line 211 of file param.h.

## n_int

int Lorene::Param::n_int

private

Number of `int` 's (integers).

Definition at line 130 of file param.h.

## n_int_mod

int Lorene::Param::n_int_mod

private

Number of modifiable `int` 's (integers).

Definition at line 134 of file param.h.

## n_itbl

int Lorene::Param::n_itbl

private

Number of `Itbl` 's.

Definition at line 155 of file param.h.

## n_itbl_mod

int Lorene::Param::n_itbl_mod

private

Number of modifiable `Itbl` 's.

Definition at line 159 of file param.h.

## n_map

int Lorene::Param::n_map

private

Number of `Map` 's.

Definition at line 187 of file param.h.

## n_matrice

int Lorene::Param::n_matrice

private

Number of `Matrice` 's.

Definition at line 163 of file param.h.

## n_matrice_mod

int Lorene::Param::n_matrice_mod

private

Number of modifiable `Matrice` 's.

Definition at line 167 of file param.h.

## n_mtbl_cf

int Lorene::Param::n_mtbl_cf

private

Number of `Mtbl_cf` 's.

Definition at line 191 of file param.h.

## n_scalar

int Lorene::Param::n_scalar

private

Number of `Scalar` 's.

Definition at line 195 of file param.h.

## n_scalar_mod

int Lorene::Param::n_scalar_mod

private

Number of modifiable `Scalar` 's.

Definition at line 199 of file param.h.

## n_star

int Lorene::Param::n_star

private

Number of `Star` 's.

Definition at line 215 of file param.h.

## n_tbl

int Lorene::Param::n_tbl

private

Number of `Tbl` 's.

Definition at line 147 of file param.h.

## n_tbl_mod

int Lorene::Param::n_tbl_mod

private

Number of modifiable `Tbl` 's.

Definition at line 151 of file param.h.

## n_tenseur

int Lorene::Param::n_tenseur

private

Number of `Tenseur` 's.

Definition at line 179 of file param.h.

## n_tenseur_mod

int Lorene::Param::n_tenseur_mod

private

Number of modifiable `Tenseur` 's.

Definition at line 183 of file param.h.

## n_tensor

int Lorene::Param::n_tensor

private

Number of `Tensor` 's.

Definition at line 203 of file param.h.

## n_tensor_mod

int Lorene::Param::n_tensor_mod

private

Number of modifiable `Tensor` 's.

Definition at line 207 of file param.h.

## p_cmp

const Cmp** Lorene::Param::p_cmp

private

Array (size `n_cmp` ) of the `Cmp` 's addresses.

Definition at line 173 of file param.h.

## p_cmp_mod

Cmp** Lorene::Param::p_cmp_mod

private

Array (size `n_cmp_mod` ) of the modifiable `Cmp` 's addresses.

Definition at line 177 of file param.h.

## p_double

const double** Lorene::Param::p_double

private

Array (size `n_double` ) of the `double` 's addresses.

Definition at line 140 of file param.h.

## p_double_mod

double** Lorene::Param::p_double_mod

private

Array (size `n_double_mod` ) of the `double` 's addresses.

Definition at line 144 of file param.h.

## p_etoile

const Etoile** Lorene::Param::p_etoile

private

Array (size `n_etoile` ) of the `Etoile` 's addresses.

Definition at line 213 of file param.h.

## p_int

const int** Lorene::Param::p_int

private

Array (size `n_int` ) of the `int` 's addresses.

Definition at line 132 of file param.h.

## p_int_mod

int** Lorene::Param::p_int_mod

private

Array (size `n_int_mod` ) of the modifiable `int` 's addresses.

Definition at line 136 of file param.h.

## p_itbl

const Itbl** Lorene::Param::p_itbl

private

Array (size `n_itbl` ) of the `Itbl` 's addresses.

Definition at line 157 of file param.h.

## p_itbl_mod

Itbl** Lorene::Param::p_itbl_mod

private

Array (size `n_itbl_mod` ) of the modifiable `Itbl` 's addresses.

Definition at line 161 of file param.h.

## p_map

const Map** Lorene::Param::p_map

private

Array (size `n_map` ) of the `Map` 's addresses.

Definition at line 189 of file param.h.

## p_matrice

const Matrice** Lorene::Param::p_matrice

private

Array (size `n_matrice` ) of the `Matrice` 's addresses.

Definition at line 165 of file param.h.

## p_matrice_mod

Matrice** Lorene::Param::p_matrice_mod

private

Array (size `n_matrice_mod` ) of the modifiable `Matrice` 's addresses.

Definition at line 169 of file param.h.

## p_mtbl_cf

const Mtbl_cf** Lorene::Param::p_mtbl_cf

private

Array (size `n_mtbl_cf` ) of the `Mtbl_cf` 's addresses.

Definition at line 193 of file param.h.

## p_scalar

const Scalar** Lorene::Param::p_scalar

private

Array (size `n_scalar` ) of the `Scalar` 's addresses.

Definition at line 197 of file param.h.

## p_scalar_mod

Scalar** Lorene::Param::p_scalar_mod

private

Array (size `n_scalar_mod` ) of the modifiable `Scalar` 's addresses.

Definition at line 201 of file param.h.

## p_star

const Star** Lorene::Param::p_star

private

Array (size `n_star` ) of the `Star` 's addresses.

Definition at line 217 of file param.h.

## p_tbl

const Tbl** Lorene::Param::p_tbl

private

Array (size `n_tbl` ) of the `Tbl` 's addresses.

Definition at line 149 of file param.h.

## p_tbl_mod

Tbl** Lorene::Param::p_tbl_mod

private

Array (size `n_tbl_mod` ) of the modifiable `Tbl` 's addresses.

Definition at line 153 of file param.h.

## p_tenseur

const Tenseur** Lorene::Param::p_tenseur

private

Array (size `n_tenseur` ) of the `Tenseur` 's addresses.

Definition at line 181 of file param.h.

## p_tenseur_mod

Tenseur** Lorene::Param::p_tenseur_mod

private

Array (size `n_tenseur_mod` ) of the modifiable `Tenseur` 's addresses.

Definition at line 185 of file param.h.

## p_tensor

const Tensor** Lorene::Param::p_tensor

private

Array (size `n_tensor` ) of the `Tensor` 's addresses.

Definition at line 205 of file param.h.

## p_tensor_mod

Tensor** Lorene::Param::p_tensor_mod

private

Array (size `n_tensor_mod` ) of the modifiable `Tensor` 's addresses.

Definition at line 209 of file param.h.

The documentation for this class was generated from the following files:

- param.h
- param.C